# Get a list of Mobile Workflows

Get a list of Mobile Workflows

Endpoint: GET /v1/api/pub/lists/mworkflows/query
Version: 1.0
Security: Authorization

## Query parameters:

  - `name` (string)
    Search by name

## Response 200 fields (application/json):

  - `id` (string)

  - `ncode` (integer)

  - `createdby` (string)

  - `createdon` (string)

  - `modifiedon` (string)

  - `enabled` (boolean)

  - `nodelete` (boolean)

  - `name` (string)

  - `description` (string)

  - `order_type` (string)
    Enum: "PO", "RECEIPT", "RETURN", "TRANSFER", "PROJECT", "ORDER", "SHIPMENT"

  - `type` (string)
    Enum: "PICKING", "RECEIVING", "RETURN", "PUTAWAY", "REPLEN", "RELOCATE", "PACK", "UNPACK", "QCRECV", "QCPICK", "QCPACK", "QCSHIP", "PROJECT", "KIT", "UNKIT", "CYCLECOUNT", "LOADEQUIPMENT"

  - `version` (string)

  - `steps` (array)

  - `steps.id` (string)

  - `steps.createdby` (string)

  - `steps.createdon` (string)

  - `steps.modifiedon` (string)

  - `steps.ordinal` (integer)

  - `steps.enabled` (boolean)

  - `steps.locale` (string)
    Enum: "pt_BR", "es_MX", "fr_FR", "en_US", "de_DE", "zh_CN"

  - `steps.mworkflow_hdr_id` (string)

  - `steps.mworkflow_steps_screen_ref_id` (string)

  - `steps.mworkflow_steps_script_id` (string)

  - `steps.name` (string)

  - `steps.description` (string)

  - `steps.notes` (string)

  - `steps.action` (string)

  - `steps.previous_step_id` (string)

  - `steps.next_step_id` (string)

  - `steps.screenRef` (object)

  - `steps.screenRef.id` (string)

  - `steps.screenRef.enabled` (boolean)

  - `steps.screenRef.locale` (string)
    Enum: "pt_BR", "es_MX", "fr_FR", "en_US", "de_DE", "zh_CN"

  - `steps.screenRef.display_text` (string)

  - `steps.screenRef.screen_uri` (string)

  - `steps.screenRef.name` (string)

  - `steps.screenRef.description` (string)

  - `steps.screenRef.notes` (string)

  - `steps.previousStep` (object)

  - `steps.nextStep` (object)

  - `steps.onErrorStep` (object)

  - `steps.script` (object)

  - `steps.script.id` (string)

  - `steps.script.createdby` (string)

  - `steps.script.createdon` (string)

  - `steps.script.modifiedon` (string)

  - `steps.script.enabled` (boolean)

  - `steps.script.script` (string)

  - `steps.script.name` (string)

  - `steps.script.notes` (string)


